Create a webhook
curl --request POST \
--url https://sandbox.groundtech.co/v2/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://ops.acme-treasury.com/webhooks/ground",
"events": [
"portfolio_wallet.deposit.status_changed",
"portfolio_wallet.withdrawal.status_changed",
"portfolio_wallet.status_changed",
"portfolio_wallet.rebalance.status_changed"
],
"description": "Notify treasury operations when wallet balances or withdrawals change"
}
'import requests
url = "https://sandbox.groundtech.co/v2/webhooks"
payload = {
"url": "https://ops.acme-treasury.com/webhooks/ground",
"events": ["portfolio_wallet.deposit.status_changed", "portfolio_wallet.withdrawal.status_changed", "portfolio_wallet.status_changed", "portfolio_wallet.rebalance.status_changed"],
"description": "Notify treasury operations when wallet balances or withdrawals change"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://ops.acme-treasury.com/webhooks/ground',
events: [
'portfolio_wallet.deposit.status_changed',
'portfolio_wallet.withdrawal.status_changed',
'portfolio_wallet.status_changed',
'portfolio_wallet.rebalance.status_changed'
],
description: 'Notify treasury operations when wallet balances or withdrawals change'
})
};
fetch('https://sandbox.groundtech.co/v2/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "6b6a0502-9d38-4f94-83fe-06706adbdc51",
"url": "https://ops.acme-treasury.com/webhooks/ground",
"events": [
"portfolio_wallet.deposit.status_changed",
"portfolio_wallet.withdrawal.status_changed",
"portfolio_wallet.rebalance.status_changed"
],
"secret": "ad4d5592b46c4b9361f0aa4f3b27fcaa8015751d0417e3993d7f5454652c5ab8",
"createdAt": "2026-05-01T17:32:08.000Z"
}{
"error": "Unsupported event types: portfolio_wallet.legacy_event",
"code": "validation_error"
}{
"error": "Unauthenticated request",
"message": "Missing or invalid bearer token"
}{
"error": "A webhook endpoint already exists for this URL",
"code": "webhook_duplicate_url"
}{
"error": "Rate limit exceeded",
"code": "rate_limited"
}{
"error": "Internal server error",
"code": "internal_error"
}Webhooks
Create a webhook
Registers a webhook for the authenticated organization. The signing secret is returned only in the creation response. Only portfolio_wallet.* event types are accepted.
POST
/
v2
/
webhooks
Create a webhook
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Example:
"https://ops.acme-treasury.com/webhooks/ground"
Event types to subscribe to.
Minimum array length:
1Available options:
portfolio_wallet.status_changed, portfolio_wallet.deposit.status_changed, portfolio_wallet.withdrawal.status_changed, portfolio_wallet.withdrawal.payout.status_changed, portfolio_wallet.strategy.status_changed, portfolio_wallet.rebalance.status_changed, portfolio_wallet.risk.alert.triggered, portfolio_wallet.risk.alert.resolved, portfolio_wallet.risk.action.status_changed, portfolio_wallet.risk.unwind.completed Optional description. The current API stores truthy JSON values and ignores unknown request fields.
Example:
"Notify treasury operations when wallet balances or withdrawals change"
Response
Webhook created
⌘I